Bug 1478164 - [OSP12] tempest.api.volume.test_volumes_get.VolumesGetTest.test_volume_create_get_update_delete_as_clone was failed due to "tempest.exceptions.VolumeResourceBuildErrorException: volume 2d10a85e-9e68-4607-a620-0788e0ba8633 failed to build and is in ERROR "
[OSP12] tempest.api.volume.test_volumes_get.VolumesGetTest.test_volume_create...
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-containers (Show other bugs)
12.0 (Pike)
x86_64 Linux
high Severity high
: rc
: ---
Assigned To: Dan Prince
Omri Hochman
Andrew Burden
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-03 14:52 EDT by Artem Hrechanychenko
Modified: 2017-08-03 15:30 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Artem Hrechanychenko 2017-08-03 14:52:49 EDT
OSP12 HA+OC_SSL+UC_SSL
3ctrl+2comp nodes

Description of problem:
testtools.testresult.real._StringException: Empty attachments:
  stderr
  stdout

pythonlogging:'': {{{
2017-08-03 05:48:55,894 15256 INFO     [tempest.lib.common.rest_client] Request (VolumesGetTest:test_volume_create_get_update_delete_as_clone): 202 POST https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes 0.632s
2017-08-03 05:48:55,895 15256 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: {"volume": {"name": "tempest-VolumesGetTest-Volume-2083254770", "size": 1}}
    Response - Headers: {'status': '202', u'content-length': '803', 'content-location': 'https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes', u'x-compute-request-id': 'req-69fd6b65-766f-4415-975f-3bcc7e4f4fae', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:48:53 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-69fd6b65-766f-4415-975f-3bcc7e4f4fae'}
        Body: {"volume": {"status": "creating", "user_id": "88345b5f8ae1474f899782c10623ef52", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/bd1075a6-3437-40b6-8756-852872dbf242", "rel": "self"}, {"href": "https://10.0.0.101:13776/bd9027aca6a34fdaa6b2991c94e22a48/volumes/bd1075a6-3437-40b6-8756-852872dbf242", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "false", "encrypted": false, "created_at": "2017-08-03T09:48:53.716317", "description": null, "updated_at": null, "volume_type": null, "name": "tempest-VolumesGetTest-Volume-2083254770", "replication_status": null, "consistencygroup_id": null, "source_volid": null, "snapshot_id": null, "multiattach": false, "metadata": {}, "id": "bd1075a6-3437-40b6-8756-852872dbf242", "size": 1}}
2017-08-03 05:48:56,049 15256 INFO     [tempest.lib.common.rest_client] Request (VolumesGetTest:test_volume_create_get_update_delete_as_clone): 200 GET https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/bd1075a6-3437-40b6-8756-852872dbf242 0.153s
2017-08-03 05:48:56,049 15256 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '871', 'content-location': 'https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/bd1075a6-3437-40b6-8756-852872dbf242', u'x-compute-request-id': 'req-2400b23c-3c11-479a-8939-4dd4c46ae50c', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:48:54 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-2400b23c-3c11-479a-8939-4dd4c46ae50c'}
        Body: {"volume": {"status": "creating", "user_id": "88345b5f8ae1474f899782c10623ef52", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/bd1075a6-3437-40b6-8756-852872dbf242", "rel": "self"}, {"href": "https://10.0.0.101:13776/bd9027aca6a34fdaa6b2991c94e22a48/volumes/bd1075a6-3437-40b6-8756-852872dbf242", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "false", "encrypted": false, "created_at": "2017-08-03T09:48:53.000000", "description": null, "os-vol-tenant-attr:tenant_id": "bd9027aca6a34fdaa6b2991c94e22a48", "updated_at": null, "volume_type": null, "name": "tempest-VolumesGetTest-Volume-2083254770", "replication_status": null, "consistencygroup_id": null, "source_volid": null, "snapshot_id": null, "multiattach": false, "metadata": {}, "id": "bd1075a6-3437-40b6-8756-852872dbf242", "size": 1}}
2017-08-03 05:48:57,371 15256 INFO     [tempest.lib.common.rest_client] Request (VolumesGetTest:test_volume_create_get_update_delete_as_clone): 200 GET https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/bd1075a6-3437-40b6-8756-852872dbf242 0.319s
2017-08-03 05:48:57,371 15256 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '896', 'content-location': 'https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/bd1075a6-3437-40b6-8756-852872dbf242', u'x-compute-request-id': 'req-ab2f748e-bad2-4d4d-b838-832e76796d52', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:48:55 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-ab2f748e-bad2-4d4d-b838-832e76796d52'}
        Body: {"volume": {"status": "available", "user_id": "88345b5f8ae1474f899782c10623ef52", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/bd1075a6-3437-40b6-8756-852872dbf242", "rel": "self"}, {"href": "https://10.0.0.101:13776/bd9027aca6a34fdaa6b2991c94e22a48/volumes/bd1075a6-3437-40b6-8756-852872dbf242", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "false", "encrypted": false, "created_at": "2017-08-03T09:48:53.000000", "description": null, "os-vol-tenant-attr:tenant_id": "bd9027aca6a34fdaa6b2991c94e22a48", "updated_at": "2017-08-03T09:48:55.000000", "volume_type": null, "name": "tempest-VolumesGetTest-Volume-2083254770", "replication_status": null, "consistencygroup_id": null, "source_volid": null, "snapshot_id": null, "multiattach": false, "metadata": {}, "id": "bd1075a6-3437-40b6-8756-852872dbf242", "size": 1}}
2017-08-03 05:48:58,347 15256 INFO     [tempest.lib.common.rest_client] Request (VolumesGetTest:test_volume_create_get_update_delete_as_clone): 202 POST https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes 0.975s
2017-08-03 05:48:58,348 15256 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: {"volume": {"size": 1, "name": "tempest-VolumesGetTest-Volume-893525858", "source_volid": "bd1075a6-3437-40b6-8756-852872dbf242", "metadata": {"Type": "Test"}}}
    Response - Headers: {'status': '202', u'content-length': '850', 'content-location': 'https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes', u'x-compute-request-id': 'req-6c0f76ca-c5ff-41d4-a310-42b54c4b7496', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:48:55 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-6c0f76ca-c5ff-41d4-a310-42b54c4b7496'}
        Body: {"volume": {"status": "creating", "user_id": "88345b5f8ae1474f899782c10623ef52", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633", "rel": "self"}, {"href": "https://10.0.0.101:13776/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "false", "encrypted": false, "created_at": "2017-08-03T09:48:55.986192", "description": null, "updated_at": null, "volume_type": null, "name": "tempest-VolumesGetTest-Volume-893525858", "replication_status": null, "consistencygroup_id": null, "source_volid": "bd1075a6-3437-40b6-8756-852872dbf242", "snapshot_id": null, "multiattach": false, "metadata": {"Type": "Test"}, "id": "2d10a85e-9e68-4607-a620-0788e0ba8633", "size": 1}}
2017-08-03 05:48:58,523 15256 INFO     [tempest.lib.common.rest_client] Request (VolumesGetTest:test_volume_create_get_update_delete_as_clone): 200 GET https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633 0.174s
2017-08-03 05:48:58,524 15256 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '942', 'content-location': 'https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633', u'x-compute-request-id': 'req-82ea5b90-aef4-4fbd-bdd1-8e83303f4805', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:48:56 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-82ea5b90-aef4-4fbd-bdd1-8e83303f4805'}
        Body: {"volume": {"status": "creating", "user_id": "88345b5f8ae1474f899782c10623ef52", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633", "rel": "self"}, {"href": "https://10.0.0.101:13776/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "false", "encrypted": false, "created_at": "2017-08-03T09:48:55.000000", "description": null, "os-vol-tenant-attr:tenant_id": "bd9027aca6a34fdaa6b2991c94e22a48", "updated_at": "2017-08-03T09:48:56.000000", "volume_type": null, "name": "tempest-VolumesGetTest-Volume-893525858", "replication_status": null, "consistencygroup_id": null, "source_volid": "bd1075a6-3437-40b6-8756-852872dbf242", "snapshot_id": null, "multiattach": false, "metadata": {"Type": "Test"}, "id": "2d10a85e-9e68-4607-a620-0788e0ba8633", "size": 1}}
2017-08-03 05:48:59,649 15256 INFO     [tempest.lib.common.rest_client] Request (VolumesGetTest:test_volume_create_get_update_delete_as_clone): 200 GET https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633 0.123s
2017-08-03 05:48:59,649 15256 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '942', 'content-location': 'https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633', u'x-compute-request-id': 'req-48388f12-3aca-46a2-9b4c-919ab8077ad7', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:48:57 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-48388f12-3aca-46a2-9b4c-919ab8077ad7'}
        Body: {"volume": {"status": "creating", "user_id": "88345b5f8ae1474f899782c10623ef52", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633", "rel": "self"}, {"href": "https://10.0.0.101:13776/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "false", "encrypted": false, "created_at": "2017-08-03T09:48:55.000000", "description": null, "os-vol-tenant-attr:tenant_id": "bd9027aca6a34fdaa6b2991c94e22a48", "updated_at": "2017-08-03T09:48:56.000000", "volume_type": null, "name": "tempest-VolumesGetTest-Volume-893525858", "replication_status": null, "consistencygroup_id": null, "source_volid": "bd1075a6-3437-40b6-8756-852872dbf242", "snapshot_id": null, "multiattach": false, "metadata": {"Type": "Test"}, "id": "2d10a85e-9e68-4607-a620-0788e0ba8633", "size": 1}}
2017-08-03 05:49:00,845 15256 INFO     [tempest.lib.common.rest_client] Request (VolumesGetTest:test_volume_create_get_update_delete_as_clone): 200 GET https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633 0.194s
2017-08-03 05:49:00,846 15256 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '939', 'content-location': 'https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633', u'x-compute-request-id': 'req-0ac1b60a-03cc-4cdc-939a-159c4d0c0846', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:48:58 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-0ac1b60a-03cc-4cdc-939a-159c4d0c0846'}
        Body: {"volume": {"status": "error", "user_id": "88345b5f8ae1474f899782c10623ef52", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633", "rel": "self"}, {"href": "https://10.0.0.101:13776/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "false", "encrypted": false, "created_at": "2017-08-03T09:48:55.000000", "description": null, "os-vol-tenant-attr:tenant_id": "bd9027aca6a34fdaa6b2991c94e22a48", "updated_at": "2017-08-03T09:48:58.000000", "volume_type": null, "name": "tempest-VolumesGetTest-Volume-893525858", "replication_status": null, "consistencygroup_id": null, "source_volid": "bd1075a6-3437-40b6-8756-852872dbf242", "snapshot_id": null, "multiattach": false, "metadata": {"Type": "Test"}, "id": "2d10a85e-9e68-4607-a620-0788e0ba8633", "size": 1}}
2017-08-03 05:49:01,019 15256 INFO     [tempest.lib.common.rest_client] Request (VolumesGetTest:_run_cleanups): 202 DELETE https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633 0.169s
2017-08-03 05:49:01,019 15256 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '202', u'content-length': '0', 'content-location': 'https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:48:59 GMT', u'content-type': 'text/html; charset=UTF-8', u'x-openstack-request-id': 'req-3441dcfa-97d2-44cd-9cfc-debeca613b15'}
        Body: 
2017-08-03 05:49:01,229 15256 INFO     [tempest.lib.common.rest_client] Request (VolumesGetTest:_run_cleanups): 200 GET https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633 0.209s
2017-08-03 05:49:01,230 15256 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '942', 'content-location': 'https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633', u'x-compute-request-id': 'req-b991ae58-e909-48c6-8d48-2da9a8f0084c', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:48:59 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-b991ae58-e909-48c6-8d48-2da9a8f0084c'}
        Body: {"volume": {"status": "deleting", "user_id": "88345b5f8ae1474f899782c10623ef52", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633", "rel": "self"}, {"href": "https://10.0.0.101:13776/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "false", "encrypted": false, "created_at": "2017-08-03T09:48:55.000000", "description": null, "os-vol-tenant-attr:tenant_id": "bd9027aca6a34fdaa6b2991c94e22a48", "updated_at": "2017-08-03T09:48:59.000000", "volume_type": null, "name": "tempest-VolumesGetTest-Volume-893525858", "replication_status": null, "consistencygroup_id": null, "source_volid": "bd1075a6-3437-40b6-8756-852872dbf242", "snapshot_id": null, "multiattach": false, "metadata": {"Type": "Test"}, "id": "2d10a85e-9e68-4607-a620-0788e0ba8633", "size": 1}}
2017-08-03 05:49:02,391 15256 INFO     [tempest.lib.common.rest_client] Request (VolumesGetTest:_run_cleanups): 200 GET https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633 0.158s
2017-08-03 05:49:02,391 15256 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '200', u'content-length': '942', 'content-location': 'https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633', u'x-compute-request-id': 'req-b7d6aa42-caae-4902-8fa1-7f627c78295e', u'vary': 'Accept-Encoding', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:49:00 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-b7d6aa42-caae-4902-8fa1-7f627c78295e'}
        Body: {"volume": {"status": "deleting", "user_id": "88345b5f8ae1474f899782c10623ef52", "attachments": [], "links": [{"href": "https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633", "rel": "self"}, {"href": "https://10.0.0.101:13776/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633", "rel": "bookmark"}], "availability_zone": "nova", "bootable": "false", "encrypted": false, "created_at": "2017-08-03T09:48:55.000000", "description": null, "os-vol-tenant-attr:tenant_id": "bd9027aca6a34fdaa6b2991c94e22a48", "updated_at": "2017-08-03T09:48:59.000000", "volume_type": null, "name": "tempest-VolumesGetTest-Volume-893525858", "replication_status": null, "consistencygroup_id": null, "source_volid": "bd1075a6-3437-40b6-8756-852872dbf242", "snapshot_id": null, "multiattach": false, "metadata": {"Type": "Test"}, "id": "2d10a85e-9e68-4607-a620-0788e0ba8633", "size": 1}}
2017-08-03 05:49:03,496 15256 INFO     [tempest.lib.common.rest_client] Request (VolumesGetTest:_run_cleanups): 404 GET https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633 0.102s
2017-08-03 05:49:03,496 15256 DEBUG    [tempest.lib.common.rest_client] Request - Headers: {'Content-Type': 'application/json', 'Accept': 'application/json', 'X-Auth-Token': '<omitted>'}
        Body: None
    Response - Headers: {'status': '404', u'content-length': '109', 'content-location': 'https://10.0.0.101:13776/v2/bd9027aca6a34fdaa6b2991c94e22a48/volumes/2d10a85e-9e68-4607-a620-0788e0ba8633', u'x-compute-request-id': 'req-4cbde87d-f1d8-47cf-a749-091d2bca3181', u'server': 'Apache', u'connection': 'close', u'date': 'Thu, 03 Aug 2017 09:49:01 GMT', u'content-type': 'application/json', u'x-openstack-request-id': 'req-4cbde87d-f1d8-47cf-a749-091d2bca3181'}
        Body: {"itemNotFound": {"message": "Volume 2d10a85e-9e68-4607-a620-0788e0ba8633 could not be found.", "code": 404}}
}}}

Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/tempest/api/volume/test_volumes_get.py", line 139, in test_volume_create_get_update_delete_as_clone
    size=CONF.volume.volume_size)
  File "/usr/lib/python2.7/site-packages/tempest/api/volume/test_volumes_get.py", line 42, in _volume_create_get_update_delete
    volume['id'], 'available')
  File "/usr/lib/python2.7/site-packages/tempest/common/waiters.py", line 203, in wait_for_volume_resource_status
    resource_name=resource_name, resource_id=resource_id)
tempest.exceptions.VolumeResourceBuildErrorException: volume 2d10a85e-9e68-4607-a620-0788e0ba8633 failed to build and is in ERROR status

Version-Release number of selected component (if applicable):
OSP12
openstack-nova-compute-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
puppet-openstacklib-11.2.0-0.20170721172003.a3cef1d.el7ost.noarch
openstack-ironic-api-8.0.1-0.20170721190058.e003b07.el7ost.noarch
python-openstacksdk-0.9.17-0.20170621195806.7946243.el7ost.noarch
openstack-swift-object-2.14.1-0.20170721185434.5b10cf5.el7ost.noarch
openstack-heat-api-9.0.0-0.20170721154436.bdddeee.el7ost.noarch
openstack-puppet-modules-10.0.0-0.20170315222135.0333c73.el7.1.noarch
openstack-tripleo-heat-templates-7.0.0-0.20170721174554.el7ost.noarch
openstack-mistral-engine-5.0.0-0.20170720143547.6c98f31.el7ost.noarch
openstack-nova-api-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
openstack-nova-conductor-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
openstack-glance-15.0.0-0.20170720002347.0752f7f.el7ost.noarch
openstack-tripleo-puppet-elements-7.0.0-0.20170721140651.c389fae.el7ost.noarch
openstack-swift-container-2.14.1-0.20170721185434.5b10cf5.el7ost.noarch
openstack-keystone-12.0.0-0.20170719224216.025e844.el7ost.noarch
openstack-neutron-ml2-11.0.0-0.20170721222602.9cb907c.el7ost.noarch
openstack-swift-proxy-2.14.1-0.20170721185434.5b10cf5.el7ost.noarch
openstack-heat-api-cfn-9.0.0-0.20170721154436.bdddeee.el7ost.noarch
openstack-ironic-inspector-5.1.1-0.20170720220617.b908a30.el7ost.noarch
openstack-mistral-executor-5.0.0-0.20170720143547.6c98f31.el7ost.noarch
openstack-tripleo-validations-7.1.1-0.20170720215108.e6ebdd3.el7ost.noarch
openstack-nova-scheduler-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
puppet-openstack_extras-11.2.0-0.20170721171851.6a9d2aa.el7ost.noarch
openstack-tripleo-common-containers-7.3.1-0.20170720003002.f0ef9ac.el7ost.noarch
python-openstackclient-3.11.0-0.20170613232431.c69304e.el7ost.noarch
openstack-tripleo-image-elements-7.0.0-0.20170712081605.35068ac.el7ost.noarch
openstack-tripleo-common-7.3.1-0.20170720003002.f0ef9ac.el7ost.noarch
openstack-swift-account-2.14.1-0.20170721185434.5b10cf5.el7ost.noarch
openstack-neutron-11.0.0-0.20170721222602.9cb907c.el7ost.noarch
openstack-neutron-openvswitch-11.0.0-0.20170721222602.9cb907c.el7ost.noarch
openstack-heat-engine-9.0.0-0.20170721154436.bdddeee.el7ost.noarch
openstack-ironic-common-8.0.1-0.20170721190058.e003b07.el7ost.noarch
openstack-mistral-common-5.0.0-0.20170720143547.6c98f31.el7ost.noarch
openstack-tripleo-ui-7.1.1-0.20170720050235.3cb948f.el7ost.noarch
openstack-zaqar-5.0.0-0.20170721081135.9b966b4.el7ost.noarch
openstack-neutron-common-11.0.0-0.20170721222602.9cb907c.el7ost.noarch
openstack-heat-common-9.0.0-0.20170721154436.bdddeee.el7ost.noarch
openstack-mistral-api-5.0.0-0.20170720143547.6c98f31.el7ost.noarch
python-openstack-mistral-5.0.0-0.20170720143547.6c98f31.el7ost.noarch
openstack-selinux-0.8.7-2.el7ost.noarch
openstack-nova-placement-api-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
openstack-nova-common-16.0.0-0.20170721224719.fe46cfa.el7ost.noarch
openstack-ironic-conductor-8.0.1-0.20170721190058.e003b07.el7ost.noarch
openstack-tempest-16.1.1-0.20170721223940.e1e6e78.el7ost.noarch

images puddle:   2017-07-26.10

How reproducible:
always

Note You need to log in before you can comment on or make changes to this bug.